%global modulename homedir-polyfill

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-homedir-polyfill
Version:        1.0.1
Release:        1%{?dist}
Summary:        Node.js os.homedir polyfill for older versions of node.js.

License:        MIT
URL:            https://github.com/doowb/homedir-polyfill
Source0:        https://registry.npmjs.org/homedir-polyfill/-/homedir-polyfill-1.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(parse-passwd) >= 1.0.0 with npmlib(parse-passwd) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Node.js os.homedir polyfill for older versions of node.js.

%package 1.0.1
Summary:        Node.js os.homedir polyfill for older versions of node.js.


%description 1.0.1
Node.js os.homedir polyfill for older versions of node.js.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 1.0.1-1
- Package automatically generated by npm2srpm
